Subject: bug#38200: 26.2; sendmail.el needlessly munging headers by inserting backslashes

From: Katsumi Yamaoka <[email-masked]>
Date: Thu, 14 Nov 2019 16:30:04 +0900

On Thu, 14 Nov 2019 05:59:37 +0100, Lars Ingebrigtsen wrote:
> But I'm not sure why this was added (in 2006).  Perhaps some MTAs/MUAs
> react negatively to having those characters unquoted in strings?  It
> looks like this was added by Katsumi, but the changelog doesn't say what
> problem it's trying to fix.

> Katsumi, do you remember?

I don't remember why I added the function
`rfc2047-quote-special-characters-in-quoted-strings' at all.  So
do I about `rfc2047-strip-backslashes-in-quoted-strings' either,
sorry.  But as for at least rfc2047-quote-*, it looks surely
needless.  With some brief tests, I verified the address-mime
encoder works without it.  Even if it is necessary for some cases,
it would probably be very rare, so I'd like to remove it now.
May I do that?

Thanks.